<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/REC-html40">
	<xsl:output method="html"/>
	<xsl:template match="/">
		<HTML>
			<HEAD>
				<TITLE>Exporter for Contacts XSLT Example</TITLE>
				<META http-equiv="Content-Type" content="text/html; charset=utf-8"/>
				<style type="text/css" media="screen">
                    * { font: 95% "Lucida Grande", "Trebuchet MS", Verdana, sans-serif; }
                    body { background:#f0f0f0; padding:20px; }
                    h1 { font: 150% "Lucida Grande", "Trebuchet MS", Verdana, sans-serif; color:#ff9900; }
                    .contact { background:white; padding:20px; border-radius:5px; box-shadow: inset 1px 1px 3px 1px #aaa; margin-bottom:20px; }
                    .row { clear:both;border-bottom:1px solid #f0f0f0;padding:4px;}
                    .label { float:left;width:200px;text-align:right;color:#999;}
                    .value { margin-left:210px;}
                    .title > .value, .first > .value, .middle > .value, .last > .value, .suffix > .value, .organization > .value { font-weight: bold }
                </style>
			</HEAD>
			<BODY>
				<H1>Exporter for Contacts XSLT Example</H1>
				<xsl:apply-templates/>
			</BODY>
		</HTML>
	</xsl:template>
	<xsl:template match="contact">
		<div class="contact">
			<xsl:apply-templates/>
		</div>
	</xsl:template>
	<xsl:template match="field">
		<xsl:variable name="row_class" select="@property_type">
        </xsl:variable>
		<xsl:if test="string(.)">
			<div class="row {$row_class}">
				<div class="label"><xsl:value-of select="@title"/>:</div>
				<div class="value">
					<xsl:apply-templates/>
				</div>
			</div>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
